Выполнение произвольного PHP кода в phpSlash

Дата публикации:
04.02.2009
Дата изменения:
04.02.2009
Всего просмотров:
1705
Опасность:
Высокая
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
phpSlash 0.x
Уязвимые версии: phpSlash 0.8.1.1, возможно другие версии.

Описание:
Уязвимость позволяет удаленному пользователю скомпрометировать целевую систему.

Уязвимость существует из-за недостаточной обработки входных данных в функции "generic()" в сценарии include/class/tz_env.class перед вызовом функции "eval()". Удаленный пользователь может с помощью специально сформированного параметра "fields" выполнить произвольный PHP код на целевой системе с привилегиями Web сервер.

URL производителя: www.php-slash.org

Решение: Способов устранения уязвимости не существует в настоящее время.

Ссылки: phpslash <= 0.8.1.1 Remote Code Execution Exploit

или введите имя

CAPTCHA